/*
 * demo5.c: sample event-driven module showing SEND_BUFFER usage.
 */

#include <unistd.h>

#include "tuxmodule.h"

#ifdef TUXAPI_declare
TUXAPI_declare;
#endif

#define REPLY "HTTP/1.0 200 OK\r\nContent-Type: text/html\r\n\r\n Hello WebWorld!"
#define REPLY_LEN (sizeof(REPLY)-1)

int TUXAPI_handle_events (user_req_t *req)
{
	int ret = TUX_RETURN_USERSPACE_REQUEST;

	switch (req->event) {
		/*
		 * A new request starts with event code 0.
		 */
		case 0:
			req->object_addr = REPLY;
			req->objectlen = strlen(REPLY);
			req->http_status = 200;

			req->event = 1;
			ret = tux(TUX_ACTION_SEND_BUFFER, req);
			break;

		case 1:
			ret = tux(TUX_ACTION_FINISH_CLOSE_REQ, req);
			break;
	}
	return ret;
}

