Name: tux
# major is 2 or 3 depending on the system TUX is being built for;
# the major number tracks the protocol version number.
%define major 3
%define minor 2
%define patchlevel 21
Version: %{major}.%{minor}.%{patchlevel}
Release: 1
Summary: User-space component of TUX kernel-based threaded HTTP server
Copyright: GPL
Group: System Environment/Daemons
Source: tux-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
BuildPrereq: glib2-devel popt docbook-utils

%description
TUX is a kernel-based, threaded, extremely high performance HTTP server.
It is able to efficiently and safely serve both static and dynamic data.
TUX moves the HTTP protocol stack to the kernel, and can handle requests
for data with both kernel-space and user-space modules.

See http://www.redhat.com/mailing-lists/ for instructions on subscribing
to tux-list@redhat.com; users of TUX have the opportunity to share their
experiences and receive notices of new versions on that list.

%prep
%setup

%build
make %{?_smp_mflags} CCFLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install TOPDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tux

%preun
if [ "$1" = 0 ]; then
    service tux stop > /dev/null 2>&1
    /sbin/chkconfig --del tux
    rm -rf /var/tux/*
fi

%postun
if [ "$1" -ge "1" ]; then
    service tux condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/*
%config %attr(0755,root,root) /etc/rc.d/init.d/*
%config %attr(0644,root,root) /etc/sysconfig/*
%config(noreplace) %attr(0644,root,root) /etc/logrotate.d/*
%config %attr(0644,root,root) /etc/tux.mime.types
%attr(0644,root,root) /usr/share/man/man*/*
%attr(0644,root,root) /usr/include/*
%attr(0700,root,root) %dir /var/tux
%doc tux.README NEWS SUCCESS gettuxconfig checkbindings demo.c demo.tux.so demo2.c demo2.tux.so demo3.c demo3.tux.so demo4.c demo4.tux.so demo5.tux.so samples/sample.log samples/sample.out docs/tux docs/TUXAPI*

%changelog
* Fri Aug 22 2003 Michael K. Johnson <johnsonm@redhat.com> x.2.14-1
- explicitly check for tux syscall not implemented (#102740)
- explicitly express tux syscall # for s390x as well as s390 (#102740)

* Mon Jul 28 2003 Matt Wilson <msw@redhat.com> x.2.13-1
- fix syscall number for ppc, ppc64 which is now 225, not 224 (#86366)
  from Julie DeWandle
- fix buildreq for glib to be glib2

* Fri May 30 2003 Michael K. Johnson <johnsonm@redhat.com> x.2.12-1
- Fixed protocol version 3 support, then re-fixed version 2 support to match.

* Fri May 09 2003 Michael K. Johnson <johnsonm@redhat.com> x.2.11-1
- Added support for 32-bit userland with 64-bit kernel
   o Requires new protocol version 3
   o major version of package matches protocol version
   o Package can be built to support protocol versions 2 and 3.

* Wed Mar 12 2003 Michael K. Johnson <johnsonm@redhat.com> 2.2.10-1
- add hammer support #86025

* Tue Jan 28 2003 Michael K. Johnson <johnsonm@redhat.com> 2.2.9-1
- rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 2.2.8-1
- Rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 27 2002 Michael K. Johnson <johnsonm@redhat.com>
- If /etc/sysctl.tux exists, it is read after the tux module is loaded

* Mon Mar 18 2002 Michael K. Johnson <johnsonm@redhat.com>
- LOGFILE= and logrotate script added in 2.2.4

* Tue Jan 08 2002 Michael K. Johnson <johnsonm@redhat.com>
- 2.2.0 has binary imcompatibilities, unfortunately; you will
  have to recompile your tux modules

* Thu Jun 21 2001 Arjan van de Ven <arjanv@redhat.com>
- Make it work on ia64
- Make it compile the src.rpm

* Thu May 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- Move to version 2.1.0 because of forwards-incompatible change
  (still backwards-compatible)

* Wed Apr 04 2001 Michael K. Johnson <johnsonm@redhat.com>
- fix docs dir permissions (#34743)

* Sun Apr 01 2001 Michael K. Johnson <johnsonm@redhat.com>
- buildprereq, %config, install tux.mime.types
- demo*.tux.so

* Fri Mar 30 2001 Michael K. Johnson <johnsonm@redhat.com>
- building a new package with more recent updates to match newer kernel

* Wed Feb 07 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.2 fixes a few more bugs and adds checkbindings

* Fri Feb 02 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.1 fixes a few small bugs

* Wed Jan 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0 daemon release to match TUX 2.0 kernel release...

* Sun Jan 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- RC release for TUX 2.0

* Wed Jan 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- Fix mime-type handling that rotted...

* Fri Dec 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- Preparing for new release:
  o  New, faster date routine
  o  Better command-line option handling
  o  Removed counttux now that tux2w3c has the -c option
  o  Fixed docroot/modulepath handling
  o  More info in tux2w3c

* Thu Aug 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updates to match new kernel functionality

* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial release
